Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 977610 - (CVE-2013-1694) CVE-2013-1694 Mozilla: PreserveWrapper has inconsistent behavior (MFSA 2013-56)
CVE-2013-1694 Mozilla: PreserveWrapper has inconsistent behavior (MFSA 2013-56)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130625,repor...
: Security
Depends On:
Blocks: 972560
  Show dependency treegraph
 
Reported: 2013-06-24 22:06 EDT by Huzaifa S. Sidhpurwala
Modified: 2016-06-10 17:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-10 17:21:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0981 normal SHIPPED_LIVE Critical: firefox security update 2013-06-25 20:11:27 EDT
Red Hat Product Errata RHSA-2013:0982 normal SHIPPED_LIVE Important: thunderbird security update 2013-06-25 20:01:13 EDT

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-06-24 22:06:46 EDT
Mozilla developer Boris Zbarsky found that when PreserveWrapper was used in cases where a wrapper is not set, the preserved-wrapper flag on the wrapper cache is cleared. This could potentially lead to an exploitable crash.

In general these flaws cannot be exploited through email in the Thunderbird and SeaMonkey products because scripting is disabled, but are potentially a risk in browser or browser-like contexts in those products.


External Reference:

http://www.mozilla.org/security/announce/2013/mfsa2013-56.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Boris Zbarsky as the original reporter.
Comment 1 errata-xmlrpc 2013-06-25 16:02:57 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2013:0982 https://rhn.redhat.com/errata/RHSA-2013-0982.html
Comment 2 errata-xmlrpc 2013-06-25 16:13:16 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0981 https://rhn.redhat.com/errata/RHSA-2013-0981.html

Note You need to log in before you can comment on or make changes to this bug.